summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2021-06-20 21:40:58 +0100
committerSam James <sam@gentoo.org>2021-06-20 21:53:43 +0100
commitbd8ae2f9ca37af01f66e7dd91713cfaab3fc8694 (patch)
tree3578e98136eb5abb0efde16179756c2558d7e3c2
parentsys-devel/crossdev: bump up to 20210608 (diff)
downloadgentoo-bd8ae2f9ca37af01f66e7dd91713cfaab3fc8694.tar.gz
gentoo-bd8ae2f9ca37af01f66e7dd91713cfaab3fc8694.tar.bz2
gentoo-bd8ae2f9ca37af01f66e7dd91713cfaab3fc8694.zip
media-gfx/exiv2: add 0.27.4
Bug: https://bugs.gentoo.org/785646 Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--media-gfx/exiv2/Manifest1
-rw-r--r--media-gfx/exiv2/exiv2-0.27.4.ebuild115
-rw-r--r--media-gfx/exiv2/files/exiv2-0.27.4-gtest-1.11.patch32
3 files changed, 148 insertions, 0 deletions
diff --git a/media-gfx/exiv2/Manifest b/media-gfx/exiv2/Manifest
index 53c6bf2b073..ff5c5104d27 100644
--- a/media-gfx/exiv2/Manifest
+++ b/media-gfx/exiv2/Manifest
@@ -1 +1,2 @@
DIST exiv2-0.27.3-Source.tar.gz 26447901 BLAKE2B ac13e6d8fce83923278cfeb628f143310a3c62b42936c8ed8b302a2c3df4c36f5666fa749adfb1d745e42da8f519762532e6fc281993aa55bcd7ce56e08c6e3e SHA512 3f5758ee862b811eeb89cc75fc2bbd8bf10329efa2ce1e68555cdc7729faa6cfd1603e0cc859fbdbe6d8fd5e53bd9b9e6d869d8a20ed17497bf87ce78c005de9
+DIST exiv2-0.27.4-Source.tar.gz 32055837 BLAKE2B 9c31c08fafb38895fa7812a8c7a195335e80a6b9c15f7b5f3750f5ab30903c4c3bbf9aee5a7293a7d437d15a49a9cb7b45a3133cbb36ee62081efae0dd67b61a SHA512 f6798baafb36a54ba5bc65c2d28d4f4469e298582c90b417eb437b5dbda8e11963fb3314e8419717b3815ee8c3a68955cddc79e45351d9f2c165a0b73eb7b7be
diff --git a/media-gfx/exiv2/exiv2-0.27.4.ebuild b/media-gfx/exiv2/exiv2-0.27.4.ebuild
new file mode 100644
index 00000000000..58cc73bd59c
--- /dev/null
+++ b/media-gfx/exiv2/exiv2-0.27.4.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} = *9999 ]]; then
+ EGIT_REPO_URI="https://github.com/Exiv2/exiv2.git"
+ inherit git-r3
+else
+ SRC_URI="https://exiv2.org/builds/${P}-Source.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+ S="${WORKDIR}/${P}-Source"
+fi
+
+CMAKE_ECLASS=cmake
+PYTHON_COMPAT=( python3_{7,8,9} )
+inherit cmake-multilib python-any-r1
+
+DESCRIPTION="EXIF, IPTC and XMP metadata C++ library and command line utility"
+HOMEPAGE="https://www.exiv2.org/"
+
+LICENSE="GPL-2"
+SLOT="0/27"
+IUSE="doc examples nls +png test webready +xmp"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ doc? (
+ ${PYTHON_DEPS}
+ app-doc/doxygen
+ dev-libs/libxslt
+ media-gfx/graphviz
+ virtual/pkgconfig
+ )
+ nls? ( sys-devel/gettext )
+"
+DEPEND="
+ >=virtual/libiconv-0-r1[${MULTILIB_USEDEP}]
+ nls? ( >=virtual/libintl-0-r1[${MULTILIB_USEDEP}] )
+ png? ( sys-libs/zlib[${MULTILIB_USEDEP}] )
+ test? ( dev-cpp/gtest )
+ webready? (
+ >net-libs/libssh-0.9.1[${MULTILIB_USEDEP}]
+ net-misc/curl[${MULTILIB_USEDEP}]
+ )
+ xmp? ( dev-libs/expat[${MULTILIB_USEDEP}] )
+"
+RDEPEND="${DEPEND}"
+
+DOCS=( README.md doc/ChangeLog doc/cmd.txt )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.27.4-gtest-1.11.patch
+)
+
+pkg_setup() {
+ use doc && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ # FIXME @upstream:
+ einfo "Converting doc/cmd.txt to UTF-8"
+ iconv -f LATIN1 -t UTF-8 doc/cmd.txt > doc/cmd.txt.tmp || die
+ mv -f doc/cmd.txt.tmp doc/cmd.txt || die
+
+ cmake_src_prepare
+
+ sed -e "/^include.*compilerFlags/s/^/#DONT /" -i CMakeLists.txt || die
+}
+
+multilib_src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_CXX_STANDARD=14
+ -DEXIV2_BUILD_SAMPLES=NO
+ -DEXIV2_ENABLE_NLS=$(usex nls)
+ -DEXIV2_ENABLE_PNG=$(usex png)
+ -DEXIV2_ENABLE_CURL=$(usex webready)
+ -DEXIV2_ENABLE_SSH=$(usex webready)
+ -DEXIV2_ENABLE_WEBREADY=$(usex webready)
+ -DEXIV2_ENABLE_XMP=$(usex xmp)
+ $(multilib_is_native_abi || echo -DEXIV2_BUILD_EXIV2_COMMAND=NO)
+ $(multilib_is_native_abi && echo -DEXIV2_BUILD_DOC=$(usex doc))
+ $(multilib_is_native_abi && echo -DEXIV2_BUILD_UNIT_TESTS=$(usex test))
+ -DCMAKE_INSTALL_DOCDIR="${EPREFIX}"/usr/share/doc/${PF}/html
+ )
+
+ cmake_src_configure
+}
+
+multilib_src_compile() {
+ cmake_src_compile
+
+ if multilib_is_native_abi; then
+ use doc && eninja doc
+ fi
+}
+
+multilib_src_test() {
+ if multilib_is_native_abi; then
+ cd "${BUILD_DIR}"/bin || die
+ ./unit_tests || die "Failed to run tests"
+ fi
+}
+
+multilib_src_install_all() {
+ use xmp && DOCS+=( doc/{COPYING-XMPSDK,README-XMP,cmdxmp.txt} )
+
+ einstalldocs
+ find "${D}" -name '*.la' -delete || die
+
+ if use examples; then
+ docinto examples
+ dodoc samples/*.cpp
+ fi
+}
diff --git a/media-gfx/exiv2/files/exiv2-0.27.4-gtest-1.11.patch b/media-gfx/exiv2/files/exiv2-0.27.4-gtest-1.11.patch
new file mode 100644
index 00000000000..bb368d367cb
--- /dev/null
+++ b/media-gfx/exiv2/files/exiv2-0.27.4-gtest-1.11.patch
@@ -0,0 +1,32 @@
+https://github.com/Exiv2/exiv2/pull/1722
+
+From f01805f68eb19f56b0415a50a1128cbbdd82bff4 Mon Sep 17 00:00:00 2001
+From: Antonio Rojas <arojas@archlinux.org>
+Date: Fri, 18 Jun 2021 18:53:46 +0200
+Subject: [PATCH] Fix build with gtest 1.11
+
+INSTANTIATE_TYPED_TEST_CASE_P requires a non-empty prefix now
+---
+ unitTests/test_slice.cpp | 6 +++---
+ 1 file changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/unitTests/test_slice.cpp b/unitTests/test_slice.cpp
+index ccf80d98d..59171cfcf 100644
+--- a/unitTests/test_slice.cpp
++++ b/unitTests/test_slice.cpp
+@@ -440,12 +440,12 @@ REGISTER_TYPED_TEST_CASE_P(slice, atAccess, iteratorAccess, constructionFailsFro
+ constMethodsPreserveConst);
+
+ typedef ::testing::Types<const std::vector<int>, std::vector<int>, int*, const int*> test_types_t;
+-INSTANTIATE_TYPED_TEST_CASE_P(, slice, test_types_t);
++INSTANTIATE_TYPED_TEST_CASE_P(slice, slice, test_types_t);
+
+ REGISTER_TYPED_TEST_CASE_P(mutableSlice, iterators, at);
+ typedef ::testing::Types<std::vector<int>, int*> mut_test_types_t;
+-INSTANTIATE_TYPED_TEST_CASE_P(, mutableSlice, mut_test_types_t);
++INSTANTIATE_TYPED_TEST_CASE_P(slice, mutableSlice, mut_test_types_t);
+
+ REGISTER_TYPED_TEST_CASE_P(dataBufSlice, successfulConstruction, failedConstruction);
+ typedef ::testing::Types<DataBuf&, const DataBuf&> data_buf_types_t;
+-INSTANTIATE_TYPED_TEST_CASE_P(, dataBufSlice, data_buf_types_t);
++INSTANTIATE_TYPED_TEST_CASE_P(slice, dataBufSlice, data_buf_types_t);